## slurm-wlm 20.11.3

=== sdb_tests/extract_node_coordinates/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
ifneq ($(shell xtprocadmin 2>/dev/null),)
	diff -sy --suppress-common-lines <(./$< | sort -n) <(./get_coords_from_sdb.pl)
else
	./$<
endif

# For performance optimisation
time: $(TARGET)
	time ./$<
