## slurm-wlm 20.02.6

=== debian/changelog ===
slurm-wlm (20.02.6-2) unstable; urgency=medium

  * Fix pmix support (Closes: #954272)
  * Fix srun autopkgtest
  * Tweak slurm.conf for autopkgtest
  * Add mpi autopkgtest
  * Bump standard version to 4.5.1 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 02 Dec 2020 01:13:08 +0100

slurm-wlm (20.02.6-1) unstable; urgency=medium

  * New upstream release (Closes: #974721, #974722)
  * Refresh miscellanea-manpages and mail-path patches
  * Remove use-python3 patch included upstream
  * Remove smap command
  * Remove cray.conf.5 man page
  * Bump libslurm to soname 35
  * Update configurators
  * Fix the slurmdbd example file (Closes: #949734)
  * Remove llnl from the source package name and from the
    configuration, lib and log directory names
  * Remove PM Green patch: bug fixed upstream
  * Update d/copyright
  * Update libslurm35.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 17 Nov 2020 00:11:42 +0100

slurm-llnl (19.05.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add __attribute__((__common__)) to some "tentative import"
    declarations in src/plugins/select/cons_tres/job_test.c
  * Move definiton of "opt" from scanel.h to scanel.c

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 22:59:50 +0000

slurm-llnl (19.05.5-2) unstable; urgency=medium

  * Declare libslurm-dev Breaks+Replaces relation with the old
    libslurmdb-dev package (Closes: #949249)
  * Bump standard version to 4.5.0 (no changes)
  * Move slurm-client-emulator, slurm-wlm and spank man pages to
    section 7

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 24 Mar 2020 10:58:42 +0100

slurm-llnl (19.05.5-1) unstable; urgency=medium

  * New upstream release

  [ Martijn Kruiten ]
  * Include slurmdb.h in libslurm-dev (Closes: #944606)
  * Remove conflicting docs from the slurmd and slurmctld packages
    (Closes: #942453)
  * Credit to Martijn for libpam-slurm-adopt in release 19.05.3.2-1.
    Sorry for not mentioning it before and thank you very much for your
    contribution!

  [ Gennaro Oliva ]
  * Remove useless libglade2 build dep (better later than never)
  * Remove libssh2 build dep
  * Remove crypto/openssl related stuff
  * Use python3 to generate html doc (Closes: #938499)
  * Update libslurm symbols file
  * Add support for pmix (Closes: #948008)

  [ Christian Ehrhardt ] 
  * Improve sacct test

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jan 2020 22:46:11 +0100

slurm-llnl (19.05.3.2-2) unstable; urgency=medium

  * Enable deprecated configure option on 32bit archs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Oct 2019 09:31:57 +0200

slurm-llnl (19.05.3.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-12838 (Closes: #931880)
  * Remove libslurmdb packages as it was merged into libslurm
  * Bump standard version to 4.4.1 (no changes)
  * Update d/copyright
  * Sync configurators with upstream
  * Refresh patches
  * Increase libslurm version to 34
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 08 Oct 2019 18:18:52 +0200

slurm-llnl (18.08.6.2-1) unstable; urgency=medium

  * New upstream release 18.08.6.2
  * Update libslurm{,db} symbols file
  * Refresh remove-google-javascript patch
  * Update postinst scripts to move pid file under /run when
    /run/slurm-llnl is used (Closes: #885759)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 10 Mar 2019 01:42:38 +0100

slurm-llnl (18.08.5.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-6438 (Closes: #920997)
  * debian/patches/man-pages-typos: removed, applied upstream
  * Add Build-Depends-Package field to symbol files
  * Handling slurm user inside the plugin package as suggested by
    Karl Kornel (Closes: #850891)
  * Allow using a slurm user with a different UID if created before
    installation (Closes: #851103)
  * Move pid files under /run (Closes: #885759)
  * Change static libs strip options for standard version 4.3.0
  * Fix a typo in the perl code
  * Remove rc4 symlink creation in slurmdbd.postinst
  * Update service files to sync with upstream
  * Update init scripts with the new pid files
  * Remove init scripts symlinks for old SlurmdSpoolDir and StateSaveLocation
  * Sync configurators with upstream
  * Bump debhelper compat level to 11
  * Remove --without-blcr configure option not needed anymore
  * Add libfreeipmi-dev build dependency to enable freeipmi support
  * Remove old d/NEWS file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 17 Feb 2019 13:32:52 +0100

slurm-llnl (18.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm33.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 24 Oct 2018 23:51:22 +0200

slurm-llnl (18.08.2-1) unstable; urgency=medium

  * New upstream release
  * Fix sacct test script (Closes: #910886)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 23 Oct 2018 16:40:57 +0200

slurm-llnl (18.08.1-1) unstable; urgency=medium

  * New upstream release (Closes: #909653)
  * Update libslurm{,db} symbols file to soname 33
  * Modifiy the mail patch since /usr/bin/mail is now supported upstream
  * Refresh patches and remove parts included upstream
  * Update d/copyright
  * Update html configurators
  * Fix typos in the some man pages
  * Update simple configuration files
  * Remove unused cgroup release agent script

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 08 Oct 2018 01:23:32 +0200

slurm-llnl (17.11.9-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.2.0
    Passing verbose options to commands in d/rules
  * Update libslurm32.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 10 Aug 2018 15:25:19 +0200

slurm-llnl (17.11.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.1.5 (no changes)
  * Update html configurators
  * Update libslurm32 symbols file
  * Disable pdf and ttf compression to improve html doc usability

