## slurm-wlm 20.11.3

=== debian/changelog ===
slurm-wlm (20.11.3-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Modify slurmrestd EnvironmentFile location

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 27 Jan 2021 15:30:27 +0100

slurm-wlm (20.11.3-1) unstable; urgency=medium

  * New upstream release
  * Remove typos patches
  * Refresh patches
  * Bump libslurm to soname 36
  * Remove unused overrides
  * Update d/copyright
  * Fix typos
  * Add patch to compile against pmix v4
  * Fix sacct test failure
  * Add slurmrestd package
  * Update configurators
  * Fix packages descriptions

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 24 Jan 2021 18:29:47 +0100
