## slurm-wlm 20.11.4

=== debian/changelog ===
slurm-wlm (20.11.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 19 Feb 2021 11:13:22 +0100

slurm-wlm (20.11.3-3) unstable; urgency=medium

  * Pass SUCMD and SLEEP_CMD to configure (Closes: #977319)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 17 Feb 2021 21:24:19 +0100
