## slurm-wlm 20.11.5

=== debian/changelog ===
slurm-wlm (20.11.5-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm36 symbols file
  * Refresh mail-path patch
  * Add more calls to sleep trying to fix #985725

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 05 Apr 2021 01:18:48 +0200
