## slurm-wlm 20.11.7

=== debian/changelog ===
slurm-wlm (20.11.7-1) unstable; urgency=medium

  * New upstream release fixes CVE-2021-31215 (Closes: #988439)
  * Add typo patch for acct_gather.conf man page
  * Update miscellanea manpage patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Jun 2021 17:49:41 +0200
