## slurm-wlm 20.11.7%2Breally20.11.4

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,10 @@
  man2html,
  libcurl4-openssl-dev,
  libpmix-dev,
+ libhttp-parser-dev,
+ libyaml-dev,
+ libjson-c-dev,
+ libjwt-dev,
  liblz4-dev
 Standards-Version: 4.5.1
 Homepage: http://slurm.schedmd.com
@@ -47,7 +51,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This metapackage contains all client side commands, the compute node
- daemon and the central management demon.
+ daemon and the central management daemon.
 
 Package: slurm-client
 Architecture: any
@@ -65,6 +69,18 @@
  interconnect agnostic.
  This package contains all client side commands.
 
+Package: slurmrestd
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: SLURM REST API daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the REST API daemon slurmrestd.
+
 Package: slurmd
 Architecture: any
 Depends:
@@ -79,7 +95,7 @@
  is an open-source cluster resource management and job scheduling system
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
- This package contains the compute node demon slurmd.
+ This package contains the compute node daemon slurmd.
 
 Package: slurmctld
 Architecture: any
@@ -96,9 +112,9 @@
  is an open-source cluster resource management and job scheduling system
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
- This package contains the central management demon slurmctld.
-
-Package: libslurm35
+ This package contains the central management daemon slurmctld.
+
+Package: libslurm36
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -134,7 +150,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -150,7 +166,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -164,7 +180,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
