=== debian/changelog ===
slurm-wlm (20.11.7+really20.11.4-2+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2022-29500 and CVE-2022-29501
    (Closes: #1010634, #1010633)
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2022 21:14:09 +0200

slurm-wlm (20.11.7+really20.11.4-2) unstable; urgency=medium

  * Fix CVE-2021-31215 (Closes: #988439)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 15 Jul 2021 00:00:35 +0200
