## slurm-wlm 20.11.8

=== debian/changelog ===
slurm-wlm (20.11.8-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 23 Aug 2021 15:53:23 +0200
