## slurm-wlm 21.08.5

=== sdb_tests/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
RM = rm -f

SUBDIRS = ../libalps ../libsdb
#SUBDIRS +=  client_version
SUBDIRS +=  coordinate2nid	\
	    data_by_coordinates	\
	    determine_topology	\
 	    extract_node_coordinates \
	    nid2coordinate	\
	    number_of_compute-node_cores \
	    xtprocadmin tuxadmin

help:
	@echo >&2 "usage: $(MAKE) all|clean"

clean all:
	@for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@||exit 1; done
	@$(RM) $(TARBALL)
