=== alps_tests/sched_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
MAIN   = sched_inventory.c
TARGET = $(MAIN:.c=)

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
% : %.c $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	
all: $(TARGET)
	time ./$<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(@D)

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean
