=== sdb_tests/coordinate2nid/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
	./$< 000 010 111 222 333
