=== debian/changelog ===
slurm-wlm (21.08.5-2ubuntu1) jammy; urgency=medium

  * Increase time-out in debian/tests/sbatch (LP: #1961602)
    On armhf the submitted batch job is typically executed within 5 seconds
    but not always leading to spurious autopkgtest failures.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 21 Feb 2022 16:01:43 +0100

slurm-wlm (21.08.5-2build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:51:51 +0100

slurm-wlm (21.08.5-2) unstable; urgency=medium

  * Add slurm_version.h to libslurm-dev (Closes: #1004409)
  * Add retry-getaddrinfo patch (Closes: #984928)
  * Update service files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jan 2022 23:36:39 +0100

slurm-wlm (21.08.5-1) unstable; urgency=medium

  * New upstream major release
  * Refresh patches and drop changes included upstream
  * Bump libslurm to soname 37
  * Update d/copyright
  * Remove man3 section dropped upstream
  * Remove pmix support
  * Remove defaults and old parameters in tests configuration files
  * Explicitly use the 1.8 HDF5 API
  * Update configurators
  * Update simple and cgroup example
  * Add slurm.conf with cgroup example
  * Change AccountingStoreJobComment into AccountingStoreFlags in
    slurm-wlm-basic-plugins postinst
  * Add example files to slurmctld, slurmd, slurm-client and slurmdbd
  * Add bash completion
  * Bump standard version to 4.6.0 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 13 Jan 2022 16:30:47 +0100
