=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSCB-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva.g@na.icar.cnr.it>,
@@ -27,13 +28,13 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
- libpmix-dev,
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
  libjwt-dev,
- liblz4-dev
-Standards-Version: 4.5.1
+ liblz4-dev,
+ bash-completion
+Standards-Version: 4.6.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -114,7 +115,7 @@
  interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm36
+Package: libslurm37
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -150,7 +151,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -166,7 +167,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -180,7 +181,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
