## slurm-wlm 21.08.8.2

=== debian/changelog ===
slurm-wlm (21.08.8.2-1) UNRELEASED; urgency=medium

  * update

 -- Debian HPC Team <debian-hpc@lists.debian.org>  Tue, 05 Jul 2022 12:43:25 +0800

slurm-wlm (21.08.8.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2022-29500,
    CVE-2022-29501 and CVE-2022-29502
    (Closes: #1010632, #1010633, #1010634)
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2022 21:14:09 +0200

slurm-wlm (21.08.7-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 21 Apr 2022 21:51:00 +0200

slurm-wlm (21.08.6-1) unstable; urgency=medium

  * New upstream release
  * Remove fix-typos patch included upstream

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 22 Mar 2022 21:59:40 +0100
